Bug 109468 - patch to archivers/rpm.
Summary: patch to archivers/rpm.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-23 15:40 UTC by TsurutaniNaoki
Modified: 2007-03-23 10:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2007-02-23 15:40:03 UTC
	logs in pointyhat shows errors in building archivers/rpm.

Fix: 

recent /usr/bin/objformat problem, as I guess.
	here is a patch. I hope it work well.
	--- ltconfig.orig       Sat Feb 24 00:23:59 2007
	+++ ltconfig    Sat Feb 24 00:30:48 2007
	@@ -1886,8 +1886,29 @@
	   dynamic_linker=no
	   ;;
	
	-freebsd*)
	-  objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
	+kfreebsd*-gnu)
	+  version_type=linux
	+  need_lib_prefix=no
	+  need_version=no
	+  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
	+  soname_spec='${libname}${release}${shared_ext}$major'
	+  shlibpath_var=LD_LIBRARY_PATH
	+  shlibpath_overrides_runpath=no
	+  hardcode_into_libs=yes
	+  dynamic_linker='GNU ld.so'
	+  ;;
	+
	+freebsd* | dragonfly*)
	+  # DragonFly does not have aout.  When/if they implement a new
	+  # versioning mechanism, adjust this.
	+  if test -x /usr/bin/objformat; then
	+    objformat=`/usr/bin/objformat`
	+  else
	+    case $host_os in
	+    freebsd[[123]]*) objformat=aout ;;
	+    *) objformat=elf ;;
	+    esac
	+  fi
	   version_type=freebsd-$objformat
	   case "$version_type" in
	     freebsd-elf*)
	@@ -1906,11 +1927,18 @@
	   esac
	   shlibpath_var=LD_LIBRARY_PATH
	   case "$host_os" in
	-  freebsd2* | freebsd3.[01]* | freebsdelf3.[01]*)
	+  freebsd3.[[01]]* | freebsdelf3.[[01]]*)
	     shlibpath_overrides_runpath=yes
	+    hardcode_into_libs=yes
	+    ;;
	+  freebsd3.[[2-9]]* | freebsdelf3.[[2-9]]* | \
	+  freebsd4.[[0-5]] | freebsdelf4.[[0-5]] | freebsd4.1.1 | freebsdelf4.1.1)
	+     shlibpath_overrides_runpath=no
	+    hardcode_into_libs=yes
	     ;;
	-  *) # from 3.2 on
	-    shlibpath_overrides_runpath=no
	+  freebsd*) # from 4.6 on
	+    shlibpath_overrides_runpath=yes
	+     hardcode_into_libs=yes
	     ;;
	   esac
	   ;;
How-To-Repeat: 	build on 7-current.
Comment 1 Rong-En Fan freebsd_committer 2007-03-02 17:56:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

It's actually archivers/rpm4 that fails on pointhat. Over to maintainer.
Comment 2 Pav Lucistnik freebsd_committer 2007-03-23 10:23:52 UTC
State Changed
From-To: open->closed

Fixed with simpler patch. Thanks for you submission!
Comment 3 dfilter service freebsd_committer 2007-03-23 10:24:27 UTC
pav         2007-03-23 10:24:22 UTC

  FreeBSD ports repository

  Modified files:
    archivers/rpm4       Makefile pkg-plist 
  Log:
  - Fix after objformat removal
  
  PR:             ports/109468 (based on)
  Submitted by:   Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  Approved by:    maintainer timeout (glewis; 3 weeks)
  
  Revision  Changes    Path
  1.15      +3 -2      ports/archivers/rpm4/Makefile
  1.7       +1 -0      ports/archivers/rpm4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"